
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; MODULE      : figures-2d-menu.scm
;; DESCRIPTION : Figures 2D menu
;; COPYRIGHT   : Emmanuel Corcelle (corcelle at gmail dot com)
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; This software falls under the GNU general public license version 3 or later.
;; It comes WITHOUT ANY WARRANTY WHATSOEVER. For details, see the file LICENSE
;; in the root directory or <http://www.gnu.org/licenses/gpl-3.0.html>.
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(texmacs-module (figures-2d-menu)
  (:use (generic generic-edit)
	(generic format-edit)))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(menu-bind figures-fenetres-menu
  (group "Draw image")
  ("Fenetre 7x5cm" (make-fig-7x5cm-blank))
  ("Fenetre 7x5cm millimetre" (make-fig-7x5cm-milli))
  ("Fenetre 7x5cm petits carreaux" (make-fig-7x5cm-5x5mm))
  ("Fenetre 7x5cm grands carreaux" (make-fig-7x5cm-8x8mm))

  ("Repere gradue" (insert '(with "gr-mode" (tuple "edit" "text-at") "gr-frame" (tuple "scale" "1cm" (tuple "0.5gw" "0.489999gh")) "gr-geometry" (tuple "geometry" "1par" "0.6par") "gr-grid" (tuple "cartesian" (point "0" "0") "1") "gr-grid-old" (tuple "cartesian" (point "0" "0") "1") "gr-edit-grid-aspect" (tuple (tuple "axes" "none") (tuple "1" "none") (tuple "10" "none")) "gr-edit-grid" (tuple "cartesian" (point "0" "0") "1") "gr-edit-grid-old" (tuple "cartesian" (point "0" "0") "1") "gr-text-at-halign" "right" "gr-text-at-valign" "center" (graphics "" (line (point "1" "0.1") (point "1.0" "-0.1")) (line (point "2" "-0.1") (point "2.0" "0.1")) (line (point "-1" "0.1") (point "-1.0" "-0.1")) (line (point "-2" "-0.1") (point "-2.0" "0.1")) (line (point "-3" "0.1") (point "-3.0" "-0.1")) (line (point "-4" "-0.1") (point "-4.0" "0.1")) (line (point "0.1" "1") (point "-0.1" "1.0")) (line (point "0.1" "2") (point "-0.1" "2.0")) (line (point "0.1" "-1") (point "-0.1" "-1.0")) (line (point "0.1" "-2") (point "-0.1" "-2.0")) (line (point "-5" "0.1") (point "-5.0" "-0.1")) (line (point "-6" "-0.1") (point "-6.0" "0.1")) (line (point "-7" "0.1") (point "-7.0" "-0.1")) (line (point "0.1" "-3") (point "-0.1" "-3.0")) (line (point "0.1" "-4") (point "-0.1" "-4.0")) (line (point "3" "-0.1") (point "3.0" "0.1")) (line (point "4" "0.1") (point "4.0" "-0.1")) (line (point "5" "-0.1") (point "5.0" "0.1")) (line (point "6" "0.1") (point "6.0" "-0.1")) (line (point "7" "0.1") (point "7.0" "-0.1")) (line (point "0.1" "3") (point "-0.1" "3.0")) (line (point "-0.1" "4") (point "0.1" "4.0")) (line (point "0.1" "5") (point "-0.1" "5.0")) (line (point "0.1" "6") (point "-0.1" "6.0")) (line (point "0.1" "-5") (point "-0.1" "-5.0")) (line (point "-0.1" "-6") (point "0.1" "-6.0")) (with "text-at-halign" "center" "text-at-valign" "top" (math-at "1" (point "1" "-0.2"))) (with "text-at-halign" "center" "text-at-valign" "top" (math-at "2" (point "2" "-0.2"))) (with "text-at-halign" "center" "text-at-valign" "top" (math-at "3" (point "3" "-0.2"))) (with "text-at-halign" "center" "text-at-valign" "top" (math-at "4" (point "4" "-0.2"))) (with "text-at-halign" "center" "text-at-valign" "top" (math-at "5" (point "5" "-0.2"))) (with "text-at-halign" "center" "text-at-valign" "top" (math-at "6" (point "6" "-0.2"))) (with "text-at-halign" "center" "text-at-valign" "top" (math-at "7" (point "7" "-0.2"))) (with "text-at-halign" "center" "text-at-valign" "top" (math-at "-1" (point "-1" "-0.2"))) (with "text-at-halign" "center" "text-at-valign" "top" (math-at "-2" (point "-2" "-0.2"))) (with "text-at-halign" "center" "text-at-valign" "top" (math-at "-3" (point "-3" "-0.2"))) (with "text-at-halign" "center" "text-at-valign" "top" (math-at "-4" (point "-4" "-0.2"))) (with "text-at-halign" "center" "text-at-valign" "top" (math-at "-5" (point "-5" "-0.2"))) (with "text-at-halign" "center" "text-at-valign" "top" (math-at "-6" (point "-6" "-0.2"))) (with "text-at-halign" "center" "text-at-valign" "top" (math-at "-7" (point "-7" "-0.2"))) (with "text-at-halign" "right" "text-at-valign" "center" (math-at "1" (point "-0.2" "1"))) (with "text-at-halign" "right" "text-at-valign" "center" (math-at "2" (point "-0.2" "2"))) (with "text-at-halign" "right" "text-at-valign" "center" (math-at "3" (point "-0.2" "3"))) (with "text-at-halign" "right" "text-at-valign" "center" (math-at "4" (point "-0.2" "4"))) (with "text-at-halign" "right" "text-at-valign" "center" (math-at "5" (point "-0.2" "5"))) (with "text-at-halign" "right" "text-at-valign" "center" (math-at "6" (point "-0.2" "6"))) (with "text-at-halign" "right" "text-at-valign" "center" (math-at "-1" (point "-0.2" "-1"))) (with "text-at-halign" "right" "text-at-valign" "center" (math-at "-2" (point "-0.2" "-2"))) (with "text-at-halign" "right" "text-at-valign" "center" (math-at "-3" (point "-0.2" "-3"))) (with "text-at-halign" "right" "text-at-valign" "center" (math-at "-4" (point "-0.2" "-4"))) (with "text-at-halign" "right" "text-at-valign" "center" (math-at "-5" (point "-0.2" "-5"))) (with "text-at-halign" "right" "text-at-valign" "center" (math-at "-6" (point "-0.2" "-6")))))))
)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


(menu-bind figures-2d-menu
  ("Ajouter un objet personnalise" (interactive footer-eval))


  (group "Constructions")
  

  (-> "Codage"	 
    ("Codage angle droit..." 
	(tm-property (footer-eval cmd)
  		(:argument cmd "Command")
  		(:proposals cmd '("(make-fig-mark-right '(1 0 +i) 0.3)" 
  				  "Help : '(Affixes of points) - Size")))
	(interactive footer-eval))
	 
    ("Codage angle..." 
	(tm-property (footer-eval cmd)
  		(:argument cmd "Command")
  		(:proposals cmd '("(make-fig-mark-angle '(1 0 1+i) \"simple\" 0.4)" 
  				  "Help : '(Affixes of points) - Style (simple, double, triple, circle) - Size")))
	(interactive footer-eval))
    ---
	 
    ("Codage segment..." 
	(tm-property (footer-eval cmd)
  		(:argument cmd "Command")
  		(:proposals cmd '("(make-fig-mark-seg '(0 3) \"double\" 0.15 +i)" 
  				  "Help : '(Affixes of points) - Style (simple, double, triple, cross, circle) - Size - Orientation")))
	(interactive footer-eval))
  )
  
)

