
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; MODULE      : figures-outils-menu.scm
;; DESCRIPTION : Figures outils menu
;; COPYRIGHT   : Emmanuel Corcelle (corcelle at gmail dot com)
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; BASED ON    : scripts-menu.scm
;; COPYRIGHT   : (C) 2005  Joris van der Hoeven
;;
;; This software falls under the GNU general public license version 3 or later.
;; It comes WITHOUT ANY WARRANTY WHATSOEVER. For details, see the file LICENSE
;; in the root directory or <http://www.gnu.org/licenses/gpl-3.0.html>.
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(texmacs-module (figures-outils-menu)
  (:use (generic generic-edit)
	(generic format-edit)
        (figures-utils)))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(menu-bind figures-outils-menu
  ("Vue par defaut" (toggle-visible-header-and-footer) (toggle-page-screen-margin) (init-page-medium "paper"))
  ---	
  ("Tree" (insert-raw-go-to '(tree "" "") '(0 0)))

  ("Horizontal rule" (insert '(hrule)))

  ("Dotted line" (insert '(toc-dots)))

  ---	
  ("Exercise + Correction" (insert '(summarized-env (document (exercise (document "" ""))) (document (exercise (document (strong (samp "Correction") "")))))))

  ---	
  ("Multicolonne x2" (insert-raw-go-to '(tabular 
	(tformat (twith "table-width" "1par") 
	(twith "table-hmode" "exact") 
	(cwith "1" "1" "1" "2" "cell-hyphen" "t") 
	(cwith "1" "1" "1" "2" "cell-valign" "t") 
	(table (row (cell (document "")) (cell (document "")))))) 
	'(0 4 0 0 0)))

  ("Multicolonne x3" (insert-raw-go-to '(tabular 
	(tformat (twith "table-width" "1par") 
	(twith "table-hmode" "exact") 
	(cwith "1" "1" "1" "3" "cell-hyphen" "t") 
	(cwith "1" "1" "1" "3" "cell-valign" "t") 
	(table (row (cell (document "")) (cell (document "")) (cell (document "")))))) 
	'(0 4 0 0 0)))

  ("Multicolonne x4" (insert-raw-go-to '(tabular 
	(tformat (twith "table-width" "1par") 
	(twith "table-hmode" "exact") 
	(cwith "1" "1" "1" "4" "cell-hyphen" "t") 
	(cwith "1" "1" "1" "4" "cell-valign" "t") 
	(table (row (cell (document "")) (cell (document "")) (cell (document "")) (cell (document "")))))) 
	'(0 4 0 0 0)))


)
